module snag.lib.lib;

import std.regex;
import std.process;
import std.algorithm;
import std.string;

bool isValidHash(string hash) {
	auto hashPattern = ctRegex!r"^[a-fA-F0-9]{7}$";
	return !matchFirst(hash, hashPattern).empty;
}

bool isValidEmail(string email) {
	auto emailPattern = ctRegex!r"^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$";
	return !matchFirst(email, emailPattern).empty;
}

bool checkGit() {
	auto result = execute(["which", "git"]);
	return !result.status;
}

string[] splitByFirstSpace(string line) {
	auto spaceIndex = line.indexOf(' ');
	return spaceIndex == -1 ?
		[line] : [line[0 .. spaceIndex], line[spaceIndex + 1..$]];
}
